Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Config_ImpExp_Base Class Reference

Base class for file import/export configuration. More...

`#include <Configuration_Import_Export.h>`

Inheritance diagram for ACE_Config_ImpExp_Base:

[legend]
Collaboration diagram for ACE_Config_ImpExp_Base:

[legend]
List of all members.

## Public Methods
| ACE_Config_ImpExp_Base (ACE_Configuration &config)
| ctor taking the ACE_Configuration to import/export to. More...
virtual | ~ACE_Config_ImpExp_Base (void)
| Destructor. More...
virtual int | import_config (const ACE_TCHAR *filename)=0
| Imports the configuration database from filename. More...
virtual int | export_config (const ACE_TCHAR *filename)=0
| This method exports the entire configuration database to <filename>. More...
## Protected Attributes
ACE_Configuration & | config_
## Private Methods
| ACE_Config_ImpExp_Base (const ACE_Config_ImpExp_Base &)
ACE_Config_ImpExp_Base & | operator= (const ACE_Config_ImpExp_Base &)

## Detailed Description

Base class for file import/export configuration.

This class provides base functionality for configuration objects that are persisted in files. It takes an ACE_Configuration object that it populates with the data read.

## Constructor & Destructor Documentation

ACE_Config_ImpExp_Base::ACE_Config_ImpExp_Base | ( | ACE_Configuration & | config | ) |

| ctor taking the ACE_Configuration to import/export to.

ACE_Config_ImpExp_Base::~ACE_Config_ImpExp_Base | ( | void |  | ) | `[virtual]`

| Destructor.

ACE_Config_ImpExp_Base::ACE_Config_ImpExp_Base | ( | const ACE_Config_ImpExp_Base & |  | ) | `[private]`

## Member Function Documentation

virtual int ACE_Config_ImpExp_Base::export_config | ( | const ACE_TCHAR * | filename | ) | `[pure virtual]`

| This method exports the entire configuration database to <filename>. Once the file is opened this method calls 'export_section' passing the root section. Reimplemented in ACE_Registry_ImpExp, and ACE_Ini_ImpExp.

virtual int ACE_Config_ImpExp_Base::import_config | ( | const ACE_TCHAR * | filename | ) | `[pure virtual]`

| Imports the configuration database from filename. No existing data is removed. Reimplemented in ACE_Registry_ImpExp, and ACE_Ini_ImpExp.

ACE_Config_ImpExp_Base& ACE_Config_ImpExp_Base::operator= | ( | const ACE_Config_ImpExp_Base & |  | ) | `[private]`

## Member Data Documentation

ACE_Configuration& ACE_Config_ImpExp_Base::config_`[protected]`

The documentation for this class was generated from the following files:

- Configuration_Import_Export.h
- Configuration_Import_Export.cpp